<p align="center">
  <a href="https://modx.com/">
    <img alt="MODX Revolution" src="https://raw.githubusercontent.com/modxcms/revolution/2.x/manager/templates/default/images/modx-icon-color.svg" width="100" />
  </a>
</p>
<h1 align="center">
  MODX Revolution
</h1>

#### MODX Revolution is the world’s fastest, most secure, flexible and scalable Open Source CMS

[![LICENSE](https://img.shields.io/badge/License-GPL%20v2-blue.svg)](./LICENSE) [![Build Status](https://github.com/modxcms/revolution/workflows/CI/badge.svg?branch=3.x)](https://github.com/modxcms/revolution/actions?query=branch%3A3.x) [![Contributors](https://img.shields.io/github/contributors/modxcms/revolution.svg)](https://github.com/modxcms/revolution/graphs/contributors) [![Slack Chat](https://img.shields.io/badge/chat_in_slack-online-green.svg?longCache=true&style=flat&logo=slack)](https://modx.org) [![follow on Twitter](https://img.shields.io/twitter/follow/modx.svg?style=social&logo=twitter)](https://twitter.com/intent/follow?screen_name=modx)

## Content Management System and Application Framework

MODX lets you power anything from multi-language, multi-domain corporate sites to personal blogs to mobile APIs. Delivering true creative freedom and removing all restrictions, it lets you control the markup and design without having to code. You can also tailor its modular and extensible core to accommodate virtually any custom requirement or amount of traffic. MODX is the free open source software that meets your needs today—and tomorrow.

MODX Revolution is the world’s fastest, most customizable Open Source PHP CMS. Your creative vision, no restrictions, no compromise.

### Latest Changes

For details read the [complete changelog](./core/docs/changelog.txt 'complete changelog')

### Getting Started

Here's what you need to get started installing or upgrading MODX Revoluton:

+ [Download MODX Revolution](https://modx.com/download)
+ [What's required to run MODX Revolution](https://docs.modx.com/3.x/en/getting-started/server-requirements)
+ [How to install MODX Revolution](https://docs.modx.com/3.x/en/getting-started/installation)
+ [Install MODX via git](https://docs.modx.com/3.x/en/getting-started/installation/git)
+ [How to upgrade from 2.x to 3.0](https://docs.modx.com/3.x/en/getting-started/upgrading-to-3.0)
+ [Read the MODX Documentation](https://docs.modx.com/3.x/en/index)

### Other Important Stuff

MODX is only as good as it is because of many individual community members and users that take the time to [report issues and request new features](https://github.com/modxcms/revolution/issues 'MODX Github Issues'). Make sure you [read the documentation](https://docs.modx.com/3.x/en/index), [post feedback and share your successes](https://community.modx.com/ 'MODX Community') in the MODX community forums. And also help with translating lexicons on [Crowdin platform](https://crowdin.com/project/modx-revolution). To join us in the quest for _Creative Freedom_, [become a Contributor](https://docs.modx.com/3.x/en/contribute/code). You can [contribute using GitHub](https://docs.modx.com/3.x/en/contribute/code 'Contribute to MODX via GitHub')

On behalf of the entire MODX Team,

Thank you for using MODX!

### Security Issues in MODX

For details read the [SECURITY](./SECURITY.md 'SECURITY')

### Copyright

Copyright (c) MODX, LLC. All Rights Reserved.

For complete copyright information, see the [COPYRIGHT](./COPYRIGHT 'Copyright') file at the top-level directory of this distribution.

### License

MODX Revolution is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

[GNU General Public License v2](./LICENSE 'GNU General Public License v2')
